Package net.snowflake.client.core

## Class OCSPTelemetryData

- java.lang.Object
- - net.snowflake.client.core.OCSPTelemetryData

    public class OCSPTelemetryData
    extends Object

### Constructor Summary

Constructors
`OCSPTelemetryData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `generateTelemetry​(String eventType, CertificateException ex)`
`void` `setCacheEnabled​(Boolean cacheEnabled)`
`void` `setCacheHit​(Boolean cacheHit)`
`void` `setCertId​(String certId)`
`void` `setOCSPMode​(OCSPMode ocspMode)`
`void` `setOcspReq​(String ocspReq)`
`void` `setOcspUrl​(String ocspUrl)`
`void` `setSfcPeerHost​(String sfcPeerHost)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OCSPTelemetryData

    public OCSPTelemetryData()

### Method Detail

#### setCertId

    public void setCertId​(String certId)

#### setSfcPeerHost

    public void setSfcPeerHost​(String sfcPeerHost)

#### setOcspUrl

    public void setOcspUrl​(String ocspUrl)

#### setOcspReq

    public void setOcspReq​(String ocspReq)

#### setCacheEnabled

    public void setCacheEnabled​(Boolean cacheEnabled)

#### setCacheHit

    public void setCacheHit​(Boolean cacheHit)

#### setOCSPMode

    public void setOCSPMode​(OCSPMode ocspMode)

#### generateTelemetry

    public String generateTelemetry​(String eventType,
                                    CertificateException ex)